package com.bocloud.cmp.model.cisco;

import java.util.List;

public class TenantModel {
    private String name;
    private String alias;
    private String dn;
    private String status;
    private String uid;
    private String remark;
    private Integer score;
    private List<ProfileModel> profiles;
    private List<BridgeDomainModel> domains;
    private List<VrfModel> vrfs;
    private List<ContractModel> contracts;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the alias
     */
    public String getAlias() {
        return alias;
    }

    /**
     * @param alias the alias to set
     */
    public void setAlias(String alias) {
        this.alias = alias;
    }

    /**
     * @return the dn
     */
    public String getDn() {
        return dn;
    }

    /**
     * @param dn the dn to set
     */
    public void setDn(String dn) {
        this.dn = dn;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the uid
     */
    public String getUid() {
        return uid;
    }

    /**
     * @param uid the uid to set
     */
    public void setUid(String uid) {
        this.uid = uid;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the score
     */
    public Integer getScore() {
        return score;
    }

    /**
     * @param score the score to set
     */
    public void setScore(Integer score) {
        this.score = score;
    }

    /**
     * @return the profiles
     */
    public List<ProfileModel> getProfiles() {
        return profiles;
    }

    /**
     * @param profiles the profiles to set
     */
    public void setProfiles(List<ProfileModel> profiles) {
        this.profiles = profiles;
    }

    /**
     * @return the domains
     */
    public List<BridgeDomainModel> getDomains() {
        return domains;
    }

    /**
     * @param domains the domains to set
     */
    public void setDomains(List<BridgeDomainModel> domains) {
        this.domains = domains;
    }

    /**
     * @return the vrfs
     */
    public List<VrfModel> getVrfs() {
        return vrfs;
    }

    /**
     * @param vrfs the vrfs to set
     */
    public void setVrfs(List<VrfModel> vrfs) {
        this.vrfs = vrfs;
    }

    /**
     * @return the contracts
     */
    public List<ContractModel> getContracts() {
        return contracts;
    }

    /**
     * @param contracts the contracts to set
     */
    public void setContracts(List<ContractModel> contracts) {
        this.contracts = contracts;
    }
}
